%define name	libopensi
%define version 1.0
%define rel	18

Summary:	Library for OpenSi
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{rel}
Source0:	http://download.gna.org/opensi/%name/%name-%version.tgz
License:	MPL
Group:		System/Libraries
Url:		http://opensi.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	firefox-devel
Requires:	firefox = %{firefox_epoch}:%{firefox_version}

%description
Library for OpenSi.

%prep
%setup -q -n %{name}

%build

%install
rm -rf %buildroot
# Jar for the translation
mkdir -p %{buildroot}%{firefox_mozillapath}/chrome/
cp -r `pwd`  %{buildroot}%{firefox_mozillapath}/chrome/
# installed-chrome.txt addition
mkdir -p %{buildroot}%{firefox_mozillapath}/chrome/rc.d/
cat << EOF > %{buildroot}%{firefox_mozillapath}/chrome/rc.d/10_%{name}.txt
content,install,url,resource:/chrome/libopensi/content/libopensi/
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{firefox_mozillapath}/chrome/libopensi
%{firefox_mozillapath}/chrome/rc.d/*.txt


%changelog
* Tue Nov 10 2009 Funda Wang <fundawang@mandriva.org> 1.0-18mdv2010.1
+ Revision: 463992
- rebuild for new ff

* Wed Sep 16 2009 Funda Wang <fundawang@mandriva.org> 1.0-17mdv2010.0
+ Revision: 443410
- rebuild for new ff

* Sat Aug 22 2009 Funda Wang <fundawang@mandriva.org> 1.0-16mdv2010.0
+ Revision: 419449
- rebuild for ff 3.5

* Thu Aug 06 2009 Funda Wang <fundawang@mandriva.org> 1.0-15mdv2010.0
+ Revision: 410515
- rebuild for new ff

* Fri Jul 31 2009 Funda Wang <fundawang@mandriva.org> 1.0-14mdv2010.0
+ Revision: 405043
- rebuild for new ff

* Sun Jun 14 2009 Funda Wang <fundawang@mandriva.org> 1.0-13mdv2010.0
+ Revision: 385783
- rebuild for new ff

* Fri May 01 2009 Funda Wang <fundawang@mandriva.org> 1.0-12mdv2010.0
+ Revision: 369821
- rebuild for new ff

* Sat Mar 28 2009 Gustavo De Nardin <gustavodn@mandriva.com> 1.0-11mdv2009.1
+ Revision: 361858
- rebuild for firefox 3.0.8

* Sat Mar 14 2009 Funda Wang <fundawang@mandriva.org> 1.0-10mdv2009.1
+ Revision: 354817
- rebuild for new ff

* Wed Feb 04 2009 Funda Wang <fundawang@mandriva.org> 1.0-9mdv2009.1
+ Revision: 337347
- rebuild for new ff

* Thu Dec 25 2008 Funda Wang <fundawang@mandriva.org> 1.0-8mdv2009.1
+ Revision: 318926
- rebuild for new ff

* Sun Nov 16 2008 Funda Wang <fundawang@mandriva.org> 1.0-7mdv2009.1
+ Revision: 303692
- rebuild for new ff

* Mon Sep 29 2008 Funda Wang <fundawang@mandriva.org> 1.0-6mdv2009.0
+ Revision: 289210
- rebuild for new FF

* Wed Aug 20 2008 Funda Wang <fundawang@mandriva.org> 1.0-5mdv2009.0
+ Revision: 274170
- rebuild

* Wed Jul 16 2008 Funda Wang <fundawang@mandriva.org> 1.0-4mdv2009.0
+ Revision: 236516
- rebuild for new FF

* Sat Jul 12 2008 Funda Wang <fundawang@mandriva.org> 1.0-3mdv2009.0
+ Revision: 234095
- fix firefox version detection

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Sep 13 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0-3mdk
- move from club to contrib
- fix deprecated use of prereq
- work around weird problem with %%firefox_version macro by redefining it

* Tue Aug 23 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0-2mdk
- do not require jdk
- macroize firefox_version to make package easily rebuild for different releases

* Mon Jul 25 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0-1mdk
- initial release (for corporate club)

